package com.yc.ship.module.marketing.enums.common;

import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;

@RequiredArgsConstructor
@Getter
public enum YesOrNoEnum implements IntArrayValuable {
    YES(1, "是"),
    NO(0, "否");

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(YesOrNoEnum::getType).toArray();

    private final Integer type;
    private final String name;

    @Override
    public int[] array() {return ARRAYS;}
}
